# ropeimpl.h File Reference

`#include <cstdio>`
`#include <ostream>`
`#include <bits/functexcept.h>`
`#include <ext/algorithm>`
`#include <ext/memory>`
`#include <ext/numeric>`

Include dependency graph for ropeimpl.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file ropeimpl.h.